Subject: Re: Loo.king. for friend?

From: "Levi" <[email-masked]>
Date: Thu, 22 Mar 2007 22:51:59 -0100

Hi,
Hope I am not writing to wrong address. I am nice, pretty loobking
giral. I am planning on visiating your town this month. Can 
we meet each other in person? Message me back at [email-masked]